export function add(a, b){
    let res = {
        x: a.x + b.x,
        y: a.y + b.y,
        z: a.z + b.z
    }
    return res;
}

export function subtract(a, b){
    let res = {
        x: a.x - b.x,
        y: a.y - b.y,
        z: a.z - b.z
    }
    return res;
}

export function distance(a, b){
    let res = {
        x: a.x - b.x,
        y: a.y - b.y,
        z: a.z - b.z
    };
    let dist = Math.sqrt(Math.pow(res.x, 2) + Math.pow(res.y, 2) + Math.pow(res.z, 2));
    return dist;
}

export function length(res){
    let dist = Math.sqrt(Math.pow(res.x, 2) + Math.pow(res.y, 2) + Math.pow(res.z, 2));
    return dist;
}